Qt 5.13 | Qt Quick | QML Types | ItemGrabResult QML Type

Qt 5.13.2 Reference Documentation

# ItemGrabResult QML Type

Contains the results from a call to Item::grabToImage(). More...

Import Statement: | import QtQuick 2.13

- List of all members, including inherited members

## Properties

- image : variant
- url : url

## Methods

- bool saveToFile(fileName)

## Detailed Description

The ItemGrabResult is a small container used to encapsulate the results from Item::grabToImage().

See also Item::grabToImage().

## Property Documentation

image : variant

This property holds the pixel results from a grab in the form of a QImage.

url : url

This property holds a URL which can be used in conjunction with URL based image consumers, such as the QtQuick::Image type.

The URL is valid while there is a reference in QML or JavaScript to the ItemGrabResult or while the image the URL references is actively used.

The URL does not represent a valid file or location to read it from, it is primarily a key to access images through Qt Quick's image-based types.

## Method Documentation

bool saveToFile(fileName)

Saves the grab result as an image to fileName. Returns true if successful; otherwise returns false.